Package icyllis.arc3d.opengl

# Class GLOpsRenderPass

java.lang.Object
icyllis.arc3d.engine.OpsRenderPass
icyllis.arc3d.opengl.GLOpsRenderPass

public final class GLOpsRenderPass extends OpsRenderPass

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.engine.OpsRenderPass

  `mRenderTarget, mSurfaceOrigin`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GLOpsRenderPass(GLDevice device)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `begin()`
  `void`
  `clearColor(int left, int top, int right, int bottom, float red, float green, float blue, float alpha)`
  Clear the owned render target.
  `void`
  `clearStencil(int left, int top, int right, int bottom, boolean insideMask)`
  Same as `OpsRenderPass.clearColor(int, int, int, int, float, float, float, float)` but modifies the stencil.
  `void`
  `end()`
  `protected GLDevice`
  `getDevice()`
  `protected void`
  `onBindBuffers(@RawPtr Buffer indexBuffer, int indexType, @RawPtr Buffer vertexBuffer, int vertexStreamOffset, @RawPtr Buffer instanceBuffer, int instanceStreamOffset)`
  `protected boolean`
  `onBindPipeline(GraphicsPipelineDesc_Old graphicsPipelineDesc, GraphicsPipeline pipeline, Rect2fc drawBounds)`
  `protected void`
  `onDraw(int vertexCount, int baseVertex)`
  `protected void`
  `onDrawIndexed(int indexCount, int baseIndex, int baseVertex)`
  `protected void`
  `onDrawIndexedInstanced(int indexCount, int baseIndex, int instanceCount, int baseInstance, int baseVertex)`
  `protected void`
  `onDrawInstanced(int instanceCount, int baseInstance, int vertexCount, int baseVertex)`
  `GLOpsRenderPass`
  `set(GpuRenderTarget renderTarget, Rect2i bounds, int origin, byte colorOps, byte stencilOps, float[] clearColor)`

  ### Methods inherited from class icyllis.arc3d.engine.OpsRenderPass

  `bindBuffers, bindPipeline, bindTexture, bindTextures, draw, drawIndexed, drawIndexedInstanced, drawInstanced, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GLOpsRenderPass

    public GLOpsRenderPass(GLDevice device)

- ## Method Details

  - ### getDevice

    protected GLDevice getDevice()
    Specified by:
      `getDevice` in class `OpsRenderPass`

  - ### set

    public GLOpsRenderPass set(GpuRenderTarget renderTarget, Rect2i bounds, int origin, byte colorOps, byte stencilOps, float[] clearColor)

  - ### begin

    public void begin()
    Overrides:
      `begin` in class `OpsRenderPass`

  - ### end

    public void end()
    Overrides:
      `end` in class `OpsRenderPass`

  - ### onBindPipeline

    protected boolean onBindPipeline(GraphicsPipelineDesc_Old graphicsPipelineDesc, GraphicsPipeline pipeline, Rect2fc drawBounds)
    Specified by:
      `onBindPipeline` in class `OpsRenderPass`

  - ### clearColor

    public void clearColor(int left, int top, int right, int bottom, float red, float green, float blue, float alpha)
    Description copied from class: `OpsRenderPass`
    Clear the owned render target. Clears the full target if 'scissor' is disabled, otherwise it is restricted to 'scissor'.
    Overrides:
      `clearColor` in class `OpsRenderPass`

  - ### clearStencil

    public void clearStencil(int left, int top, int right, int bottom, boolean insideMask)
    Description copied from class: `OpsRenderPass`
    Same as `OpsRenderPass.clearColor(int, int, int, int, float, float, float, float)` but modifies the stencil.
    Overrides:
      `clearStencil` in class `OpsRenderPass`

  - ### onBindBuffers

    protected void onBindBuffers(@RawPtr @RawPtr Buffer indexBuffer, int indexType, @RawPtr @RawPtr Buffer vertexBuffer, int vertexStreamOffset, @RawPtr @RawPtr Buffer instanceBuffer, int instanceStreamOffset)
    Specified by:
      `onBindBuffers` in class `OpsRenderPass`

  - ### onDraw

    protected void onDraw(int vertexCount, int baseVertex)
    Specified by:
      `onDraw` in class `OpsRenderPass`

  - ### onDrawIndexed

    protected void onDrawIndexed(int indexCount, int baseIndex, int baseVertex)
    Specified by:
      `onDrawIndexed` in class `OpsRenderPass`

  - ### onDrawInstanced

    protected void onDrawInstanced(int instanceCount, int baseInstance, int vertexCount, int baseVertex)
    Specified by:
      `onDrawInstanced` in class `OpsRenderPass`

  - ### onDrawIndexedInstanced

    protected void onDrawIndexedInstanced(int indexCount, int baseIndex, int instanceCount, int baseInstance, int baseVertex)
    Specified by:
      `onDrawIndexedInstanced` in class `OpsRenderPass`